#include <bits/stdc++.h>

using namespace std;

struct ucenik
{
    int d;
    int brp;
};

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL);

    int N,M;
    cin >> N >> M;

    ucenik u[N+1];
    for(int i = 0;i<N;i++)
    {
        cin >> u[i].d;
    }
    for(int i = 0;i<M;i++)
    {
        int X,Y;
        cin >> X >> Y;
        u[X-1].brp++;
        u[Y-1].brp++;
    }

    long long res = 0;

    for(int i = 0;i<N;i++)
    {
        res += u[i].d * u[i].brp;
    }
    cout << abs(res);
    
    return 0;
}